﻿.form-wrapper {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-content: center;
    flex-wrap: wrap;
    padding: 20px 0px;
    font-size: 14px;
    background-color: #f8f8f8;
}

.description {
    font-size: 11px;
    font-weight: lighter;
}

#form-content {
    width: auto;
    max-width: 500px;
    padding: 15px 25px;
    border: 1px solid rgba(0,0,0,0.2);
    border-radius: 10px;
    background-color: white;
}

    #form-content .form-contents {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-content: center;
        flex-wrap: wrap;
        gap: 10px;
    }

    #form-content .form-title {
        font-size: 18px;
        font-weight: bold;
        display: flex;
        align-content: center;
        justify-content: center;
        flex-wrap: wrap;
    }

    #form-content .form-contents.title {
        font-size: 14px;
        font-weight: bold;
    }

    #form-content .submit-button {
        background-color: #B81D22;
        border: 1px solid #B81D22;
        color: #FFFFFF;
        cursor: pointer;
        font-size: 14px;
        padding: 8px 8px;
        text-decoration: none;
        width: 200px;
    }

        #form-content .submit-button:hover {
            opacity: 0.7;
        }

    #form-content .cancel-button {
        background-color: #CACACA;
        border: 1px solid #CACACA;
        color: black;
        cursor: pointer;
        font-size: 14px;
        padding: 8px 8px;
        text-decoration: none;
        width: 200px;
    }

        #form-content .cancel-button:hover {
            opacity: 0.7;
        }

.error-input-text {
    font-size: 11px;
    color: #A71C22;
}

.error-general-text {
    color: #A71C22;
}

input.ng-invalid.ng-touched {
    border-color: #A71C22 !important;
}

#personal-info-form .error-input-text {
    min-height: fit-content;
    min-width: fit-content;
}

#personal-info-form .error-general-text {
    min-height: fit-content;
    min-width: fit-content;
}

#personal-info-form input.ng-invalid {
    border-color: #A71C22 !important;
}

#profile-page-container {
    font-size: 14px;
}

    #profile-page-container .sidebar-links {
        padding: 0px;
    }

        #profile-page-container .sidebar-links li {
            list-style-type: none;
            margin: 10px;
            display: flex;
            align-content: center;
            justify-content: center;
        }

        #profile-page-container .sidebar-links .selected-li a {
            background-color: #A71C22;
            border-style: solid;
            border-width: 5px;
            border-color: #A71C22;
        }

        #profile-page-container .sidebar-links a {
            color: #FFFFFF;
            text-decoration: none;
            padding: 5px;
            background-color: #D1232B;
            border-radius: 0px;
            width: 230px;
            text-align: center;
            vertical-align: middle;
            display: block;
            transition: all 150ms ease-out;
        }

            #profile-page-container .sidebar-links a:hover {
                color: #212529;
            }

    #profile-page-container .form-control {
        transition: border 200ms ease-in-out;
        background-color: transparent;
    }

        #profile-page-container .form-control:disabled {
            border: 0px;
            background-color: transparent;
        }

    #profile-page-container .form-row {
        margin: 5px;
        background-color: #f8f8f8;
        justify-content: flex-start;
    }

        #profile-page-container .form-row .col-2 span {
            display: inline-block;
            line-height: normal;
            vertical-align: middle;
        }

        #profile-page-container .form-row .col-2 label {
            margin: 0;
            padding: 0;
        }

    #profile-page-container .header {
        font-weight: normal;
        font-size: 20px;
    }

    #profile-page-container .flex-right {
        display: flex;
        gap: 10px;
        justify-content: flex-end;
    }

    #profile-page-container .flex-left {
        display: flex;
        gap: 10px;
        justify-content: flex-start;
    }

    #profile-page-container button {
        color: #FFFFFF;
        text-decoration: none;
        padding: 5px 10px;
        width: auto;
        border-radius: 0px;
        min-width: 100px;
        background-color: #D1232B;
        --btn-success-color: #D1232B;
        --btn-info-color: #ADADAD;
        --btn-warning-color: #86161B;
        border-width: 3px;
        border-color: transparent;
        border-style: solid;
    }

        #profile-page-container button:hover {
            color: #212529;
        }

        #profile-page-container button:active {
            border-color: white;
        }


    #profile-page-container .button-success {
        background-color: var(--btn-success-color);
    }

    #profile-page-container .button-info {
        background-color: var(--btn-info-color);
    }

    #profile-page-container .button-warning {
        background-color: var(--btn-warning-color);
    }

    #profile-page-container .column-flex {
        display: flex;
        flex-direction: column;
        gap: 10px;
    }

    #profile-page-container .small-column-flex {
        display: flex;
        flex-direction: column;
        gap: 5px;
    }

    #profile-page-container .tiny-column-flex {
        display: flex;
        flex-direction: column;
        gap: 2px;
    }

    #profile-page-container .detail-wrapper .offering-tiny-info {
        font-size: 10px;
    }

    #profile-page-container .detail-wrapper .offering-name {
        word-break: break-all;
    }

        #profile-page-container .detail-wrapper .offering-name a {
            color: #86161B;
        }

            #profile-page-container .detail-wrapper .offering-name a:hover {
                color: black;
            }

    #profile-page-container .detail-wrapper .offering-wrapper {
        margin: 10px 0px;
    }

        #profile-page-container .detail-wrapper .offering-wrapper .photo-wrapper {
            padding: 0 !important;
        }

    #profile-page-container .detail-wrapper .sum-text {
        font-size: 18px;
        font-weight: bold;
    }

    #profile-page-container .detail-wrapper .sum-wrapper {
        display: flex;
        flex-direction: row;
        justify-content: end;
        align-content: center;
        flex-wrap: wrap;
        gap: 5px;
    }

    #profile-page-container .detail-wrapper {
        transition: all 500ms linear;
        -webkit-transition: all 500ms linear;
        opacity: 1;
    }

        #profile-page-container .detail-wrapper.fade {
            opacity: 0;
        }

    #profile-page-container .warranty-wrapper {
        display: flex;
        flex-direction: row;
        gap: 15px;
        justify-content: flex-start;
    }

    #profile-page-container .warranty-group {
        display: flex;
        flex-direction: column;
        gap: 5px;
        width: 50%;
    }

    #profile-page-container .order-wrapper {
        background-color: #E7E7E7;
        margin: 7px 0px;
        padding: 7px;
        border-left: 5px solid #D1232B;
    }

    #profile-page-container .detail-wrapper {
        margin-top: 7px;
    }

        #profile-page-container .detail-wrapper ul {
            list-style-type: none;
            padding: 0;
            font-size: 12px;
            font-weight: lighter;
        }

        #profile-page-container .detail-wrapper .customer-info-header {
            font-weight: normal;
            border-bottom: 1px solid rgba(0,0,0,0.1);
        }

    #profile-page-container .price-align {
        display: flex;
        flex-direction: row;
        justify-content: end;
        flex-wrap: wrap;
    }

    #profile-page-container .adaptive-flex {
        display: flex;
        flex-direction: column;
        gap: 5px;
        flex-wrap: wrap;
        align-content: stretch;
        justify-content: start;
        margin-top: 0px;
    }

.price-yellow-wrapper {
    background-color: #f7e86c;
    border-radius: 7px;
    padding: 5px 8px;
    font-weight: bold;
    -webkit-border-radius: 7px;
}

@media(max-width:1200px) {
    #profile-page-container .adaptive-flex {
        flex-direction: row;
        gap: 15px;
        margin-top: 10px;
    }
}

@media (max-width: 991px) {

    #profile-page-container .sidebar-links {
        display: flex;
        flex-direction: row;
    }

        #profile-page-container .sidebar-links a {
            width: 140px;
        }

        #profile-page-container .sidebar-links .selected-li a {
            border-width: 0px;
            width: 150px;
        }

    #profile-page-container button {
        min-width: auto;
    }

    #profile-page-container .main-order-info .col-3 {
        padding-right: 10px !important;
        padding-left: 10px !important;
    }
}

@media (max-width: 768px) {
    #profile-page-container .sidebar-links {
        display: flex;
        flex-direction: column;
    }

        #profile-page-container .sidebar-links li {
            margin: 5px;
        }

        #profile-page-container .sidebar-links a {
            width: 100%;
        }

        #profile-page-container .sidebar-links .selected-li a {
            border-width: 5px;
            width: 100%;
        }

    #profile-page-container .main-order-info .col-3 {
        padding-right: 5px !important;
        padding-left: 5px !important;
    }
}

@media(max-width: 600px) {
    #profile-page-container .warranty-wrapper {
        flex-direction: column;
        gap: 5px;
    }

    #profile-page-container .warranty-group {
        flex-direction: column;
        width: 100%;
    }
}

.personal-info-inline {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    align-items: center;
}
